﻿Public Class Form1

    #Region "Sub Btn_GetTime_Click : 現在時刻の取得."
        Private Sub Btn_GetTime_Click( sender As System.Object,  e As System.EventArgs) Handles Btn_GetTime.Click
            Try
                Using ClsPrv_NTP As New NSDNTP(Me.Txt_ServerName.Text.Trim())
                    Dim Date_Time As DateTime = Nothing

                    Me.Lbl_ComputerTimeValue.Text = Format(Now, "yyyy/MM/dd HH:mm:ss")
                    If ClsPrv_NTP.GetStdDateTime(Date_Time) Then
                        ' サーバーから受信した時刻をセット.
                        Me.Lbl_ServerTimeValue.Text = Format(Date_Time, "yyyy/MM/dd HH:mm:ss")
                    Else
                        ' サーバーから受信した時刻をセット.
                        MsgBox("サーバーから時刻を受信できません。")
                    End If
                End Using
    
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_SetTime_Click : コンピュータの時刻をサーバーの時刻に合わせます."
        Private Sub Btn_SetTime_Click( sender As System.Object,  e As System.EventArgs) Handles Btn_SetTime.Click
            Try
                If vbYes = MsgBox("コンピュータの現時刻をサーバーの時刻に合わせます。" & vbCrLf & "Windows Vista以降のOSでは、管理者としてプログラムを起動していない場合は失敗します。" & vbCrLf & "よろしいですか？", MsgBoxStyle.YesNo) Then
                    Using ClsPrv_NTP As New NSDNTP(Me.Txt_ServerName.Text.Trim())
                        Dim Date_Time As DateTime = Nothing

                        Me.Lbl_ComputerTimeValue.Text = Format(Now, "yyyy/MM/dd HH:mm:ss")
                        If ClsPrv_NTP.GetStdDateTime(Date_Time) Then
                            ' サーバーから受信した時刻をセット.
                            Dim Str_Msg As String = "時刻を合わせました。"
                            Try
                                ' 時刻を一致させます.
                                DateAndTime.TimeOfDay = Date_Time
                                DateAndTime.Today = Date_Time
                            Catch ex As Exception
                                Str_Msg = "管理者としてプログラムを起動してください。"
                            Finally
                                MsgBox(Str_Msg)
                            End Try
                        Else
                            ' サーバーから受信した時刻をセット.
                            MsgBox("サーバーから時刻を受信できません。")
                        End If
                    End Using
                End If
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Form1_Load : Loadイベント."
        Private Sub Form1_Load( sender As System.Object,  e As System.EventArgs) Handles MyBase.Load
            Try
                Me.Lbl_ComputerTimeValue.Text = ""
                Me.Lbl_ServerTimeValue.Text = ""
            Catch ex As Exception

            End Try
        End Sub
    #End Region
End Class
